package com.orbuculum.core.netnative;

import X.C53114Sh;
import android.os.SystemClock;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.bytedance.librarian.Librarian;

public class TTPOrbuNetworkCaller {
    public static volatile boolean inited;

    static {
        Covode.recordClassIndex(47323);
    }

    public static String getConfig() {
        return "";
    }

    public static native int initConfig(String str);

    public static boolean init() {
        MethodCollector.i(4292);
        if (inited) {
            MethodCollector.o(4292);
            return true;
        }
        synchronized (TTPOrbuNetworkCaller.class) {
            try {
                if (inited) {
                    return true;
                }
                try {
                    INVOKESTATIC_com_orbuculum_core_netnative_TTPOrbuNetworkCaller_com_ss_android_ugc_aweme_lancet_LoadSoLancet_loadLibrary("orbuculum");
                    initConfig(getConfig());
                    inited = true;
                    MethodCollector.o(4292);
                    return true;
                } catch (Throwable unused) {
                    MethodCollector.o(4292);
                    return false;
                }
            } finally {
                MethodCollector.o(4292);
            }
        }
    }

    public static void INVOKESTATIC_com_orbuculum_core_netnative_TTPOrbuNetworkCaller_com_ss_android_ugc_aweme_lancet_LoadSoLancet_loadLibrary(String str) {
        long uptimeMillis = SystemClock.uptimeMillis();
        Librarian.LIZ(str);
        C53114Sh.LIZ(uptimeMillis, str);
    }
}
